<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mosty.yjzl.mapper.TbZlYjRyMapper">
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mosty.base.model.entity.yjzl.TbZlYjRy">
        <id column="id" property="id"/>
        <result column="zl_id" property="zlId"/>
        <result column="yj_id" property="yjId"/>
        <result column="ryyj_id" property="ryyjId"/>
        <result column="yj_fssj" property="yjFssj"/>
        <result column="yj_sj" property="yjSj"/>
        <result column="yj_jb" property="yjJb"/>
        <result column="zldj" property="zldj"/>
        <result column="zlfsrq" property="zlfsrq"/>
        <result column="qsyxsj" property="qsyxsj"/>
        <result column="ddxcyxsj" property="ddxcyxsj"/>
        <result column="zlwjyxsj" property="zlwjyxsj"/>
        <result column="zl_bt" property="zlBt"/>
        <result column="zl_nr" property="zlNr"/>
        <result column="zl_rybq" property="zlRybq"/>
        <result column="zl_rybqmc" property="zlRybqmc"/>
        <result column="zl_zjlx" property="zlZjlx"/>
        <result column="zl_zjhm" property="zlZjhm"/>
        <result column="zl_ryxm" property="zlRyxm"/>
        <result column="zl_ryxb" property="zlRyxb"/>
        <result column="zl_rynl" property="zlRynl"/>
        <result column="zl_rymz" property="zlRymz"/>
        <result column="zl_ryjg" property="zlRyjg"/>
        <result column="zl_ryhjd_xzqh" property="zlRyhjdXzqh"/>
        <result column="zl_ryhjd" property="zlRyhjd"/>
        <result column="zl_ryjzd_xzqh" property="zlRyjzdXzqh"/>
        <result column="zl_ryjzd" property="zlRyjzd"/>
        <result column="zl_rygzdwid" property="zlRygzdwid"/>
        <result column="zl_rygzdw" property="zlRygzdw"/>
        <result column="zl_rylxdh" property="zlRylxdh"/>
        <result column="zl_xsd" property="zlXsd"/>
        <result column="zl_xwms" property="zlXwms"/>
        <result column="ltx" property="ltx"/>
        <result column="lty" property="lty"/>
        <result column="rbx" property="rbx"/>
        <result column="rby" property="rby"/>
        <result column="yj_gzyid" property="yjGzyid"/>
        <result column="jd" property="jd"/>
        <result column="wd" property="wd"/>
        <result column="zb" property="zb" typeHandler="com.mosty.base.feign.handle.PointTypeHandler"/>
        <result column="zbhash" property="zbhash"/>
        <result column="yj_dzxzqh" property="yjDzxzqh"/>
        <result column="yj_dz" property="yjDz"/>
        <result column="tp_id" property="tpId"/>
        <result column="cover_image" property="coverImage"/>
        <result column="yjly_bqmc" property="yjlyBqmc"/>
        <result column="qszt" property="qszt"/>
        <result column="qssj" property="qssj"/>
        <result column="ddxczt" property="ddxczt"/>
        <result column="ddxcsj" property="ddxcsj"/>
        <result column="zlwjzt" property="zlwjzt"/>
        <result column="zlwjsj" property="zlwjsj"/>
        <result column="zlwjsm" property="zlwjsm"/>
        <result column="zlzxzt" property="zlzxzt"/>
        <result column="zlfqr_id" property="zlfqrId"/>
        <result column="zlfqr" property="zlfqr"/>
        <result column="zlfqr_sfzh" property="zlfqrSfzh"/>
        <result column="zlfqr_dh" property="zlfqrDh"/>
        <result column="hczt" property="hczt"/>
        <result column="hcid" property="hcid"/>
        <result column="ssbm" property="ssbm"/>
        <result column="ssbmdm" property="ssbmdm"/>
        <result column="ssbmid" property="ssbmid"/>
        <result column="ssxgaj" property="ssxgaj"/>
        <result column="ssxgajdm" property="ssxgajdm"/>
        <result column="ssxgajid" property="ssxgajid"/>
        <result column="sssgaj" property="sssgaj"/>
        <result column="sssgajdm" property="sssgajdm"/>
        <result column="sssgajid" property="sssgajid"/>
        <result column="xt_sjly" property="xtSjly"/>
        <result column="xt_sjzt" property="xtSjzt"/>
        <result column="xt_scbz" property="xtScbz"/>
        <result column="xt_cjip" property="xtCjip"/>
        <result column="xt_cjsj" property="xtCjsj"/>
        <result column="xt_cjr_id" property="xtCjrId"/>
        <result column="xt_cjr" property="xtCjr"/>
        <result column="xt_cjbmdm" property="xtCjbmdm"/>
        <result column="xt_cjbmmc" property="xtCjbmmc"/>
        <result column="xt_zhgxip" property="xtZhgxip"/>
        <result column="xt_zhgxsj" property="xtZhgxsj"/>
        <result column="xt_zhgxrid" property="xtZhgxrid"/>
        <result column="xt_zhgxr" property="xtZhgxr"/>
        <result column="xt_zhgxbmdm" property="xtZhgxbmdm"/>
        <result column="xt_zhgxbm" property="xtZhgxbm"/>
        <result column="bz" property="bz"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">

                id, zl_id, yj_id, ryyj_id, yj_fssj, yj_sj, yj_jb, zldj, zlfsrq, zlfssj, zl_bt, zl_nr,
                zl_rybq, zl_rybqmc, zl_zjlx, zl_zjhm, zl_ryxm, zl_ryxb, zl_rynl, zl_rymz, zl_ryjg,
                zl_ryhjd_xzqh, zl_ryhjd, zl_ryjzd_xzqh, zl_ryjzd, zl_rygzdwid, zl_rygzdw, zl_rylxdh,
                zl_xsd, zl_xwms, ltx, lty, rbx, rby, yj_gzyid, jd, wd, qsyxsj,ddxcyxsj,zlwjyxsj,
                zb, zbhash, yj_dzxzqh, yj_dz,
                tp_id, cover_image, yjly_bqmc, qszt, qssj, ddxczt, ddxcsj, zlwjzt, zlwjsj, zlwjsm,
                zlzxzt, zlfqr_id, zlfqr, zlfqr_sfzh, zlfqr_dh, hczt, hcid, ssbm, ssbmdm, ssbmid,
                ssxgaj, ssxgajdm, ssxgajid, sssgaj, sssgajdm, sssgajid, xt_sjly, xt_sjzt, xt_scbz,
                xt_cjip, xt_cjsj, xt_cjr_id, xt_cjr, xt_cjbmdm, xt_cjbmmc, xt_zhgxip, xt_zhgxsj,
                xt_zhgxrid, xt_zhgxr, xt_zhgxbmdm, xt_zhgxbm, bz

    </sql>

    <insert id="insertEntity" parameterType="com.mosty.base.model.entity.yjzl.TbZlYjRy">
        insert into tb_zl_yj_ry(<include refid="Base_Column_List">
    </include>)values (
        #{id},#{ zlId},#{ yjId},#{ ryyjId},#{ yjFssj},#{ yjSj},#{ yjJb},#{ zldj},#{ zlfsrq},#{ zlfssj},#{ zlBt},#{ zlNr},
        #{zlRybq},#{ zlRybqmc},#{ zlZjlx},#{ zlZjhm},#{ zlRyxm},#{ zlRyxb},#{ zlRynl},#{ zlRymz},#{ zlRyjg},#{ zlRyhjdXzqh},
        #{zlRyhjd},#{ zlRyjzdXzqh},#{ zlRyjzd},#{ zlRygzdwid},#{ zlRygzdw},#{ zlRylxdh},#{ zlXsd},#{ zlXwms},#{ ltx},
        #{ lty},#{ rbx},#{ rby},#{yjGzyid},#{ jd},#{ wd}, #{qsyxsj},#{ddxcyxsj},#{zlwjyxsj},
        ST_GEOMFROMTEXT(#{zb,typeHandler = com.mosty.base.feign.handle.PolygonTypeHandler}),
        #{ zbhash},#{ yjDzxzqh},#{ yjDz},#{ tpId},#{ coverImage},#{ yjlyBqmc},#{ qszt},#{ qssj},#{ ddxczt},#{ ddxcsj},
        #{zlwjzt},
        #{zlwjsj},#{ zlwjsm},#{ zlzxzt},#{ zlfqrId},#{ zlfqr},#{ zlfqrSfzh},#{ zlfqrDh},#{ hczt},#{ hcid},#{ ssbm},#{ ssbmdm},
        #{ssbmid},#{ ssxgaj},#{ ssxgajdm},#{ ssxgajid},#{ sssgaj},#{ sssgajdm},#{ sssgajid},
        #{ xtSjly},#{xtSjzt},#{ xtScbz},#{ xtCjip},#{ xtCjsj},#{ xtCjrId},#{ xtCjr},#{ xtCjbmdm},#{ xtCjbmmc},
        #{ xtZhgxip},#{ xtZhgxsj},#{ xtZhgxrid},#{xtZhgxr},#{ xtZhgxbmdm},#{ xtZhgxbm},#{ bz}
        )
    </insert>

    <update id="updateEntity" parameterType="com.mosty.base.model.entity.yjzl.TbZlYjRy">
        update tb_zl_yj_ry
        <set>
            <if test="zlId != null and zlId != ''">
                zl_id = #{zlId},
            </if>
            <if test="yjId != null and yjId != ''">
                yj_id = #{yjId},
            </if>
            <if test="ryyjId != null and ryyjId != ''">
                ryyj_id = #{ryyjId},
            </if>
            <if test="yjFssj != null and yjFssj != ''">
                yj_fssj = #{yjFssj},
            </if>
            <if test="yjSj != null and yjSj != ''">
                yj_sj = #{yjSj},
            </if>
            <if test="yjJb != null and yjJb != ''">
                yj_jb = #{yjJb},
            </if>
            <if test="zldj != null and zldj != ''">
                zldj = #{zldj},
            </if>
            <if test="zlfsrq != null and zlfsrq != ''">
                zlfsrq = #{zlfsrq},
            </if>
            <if test="zlfssj != null and zlfssj != ''">
                zlfssj = #{zlfssj},
            </if>
            <if test="zlBt != null and zlBt != ''">
                zl_bt = #{zlBt},
            </if>
            <if test="zlNr != null and zlNr != ''">
                zl_nr = #{zlNr},
            </if>
            <if test="zlRybq != null and zlRybq != ''">
                zl_rybq = #{zlRybq},
            </if>
            <if test="zlRybqxq != null and zlRybqxq != ''">
                zl_rybqxq = #{zlRybqxq},
            </if>
            <if test="zlZjlx != null and zlZjlx != ''">
                zl_zjlx = #{zlZjlx},
            </if>
            <if test="zlZjhm != null and zlZjhm != ''">
                zl_zjhm = #{zlZjhm},
            </if>
            <if test="zlRyxm != null and zlRyxm != ''">
                zl_ryxm = #{zlRyxm},
            </if>
            <if test="zlRyxb != null and zlRyxb != ''">
                zl_ryxb = #{zlRyxb},
            </if>
            <if test="zlRynl != null and zlRynl != ''">
                zl_rynl = #{zlRynl},
            </if>
            <if test="zlRymz != null and zlRymz != ''">
                zl_rymz = #{zlRymz},
            </if>
            <if test="zlRyjg != null and zlRyjg != ''">
                zl_ryjg = #{zlRyjg},
            </if>
            <if test="zlRyhjdXzqh != null and zlRyhjdXzqh != ''">
                zl_ryhjd_xzqh = #{zlRyhjdXzqh},
            </if>
            <if test="zlRyhjd != null and zlRyhjd != ''">
                zl_ryhjd = #{zlRyhjd},
            </if>
            <if test="zlRyjzdXzqh != null and zlRyjzdXzqh != ''">
                zl_ryjzd_xzqh = #{zlRyjzdXzqh},
            </if>
            <if test="zlRyjzd != null and zlRyjzd != ''">
                zl_ryjzd = #{zlRyjzd},
            </if>
            <if test="zlRygzdwid != null and zlRygzdwid != ''">
                zl_rygzdwid = #{zlRygzdwid},
            </if>
            <if test="zlRygzdw != null and zlRygzdw != ''">
                zl_rygzdw = #{zlRygzdw},
            </if>
            <if test="zlRylxdh != null and zlRylxdh != ''">
                zl_rylxdh = #{zlRylxdh},
            </if>
            <if test="zlXsd != null and zlXsd != ''">
                zl_xsd = #{zlXsd},
            </if>
            <if test="zlXwms != null and zlXwms != ''">
                zl_xwms = #{zlXwms},
            </if>
            <if test="ltx != null and ltx != ''">
                ltx = #{ltx},
            </if>
            <if test="lty != null and lty != ''">
                lty = #{lty},
            </if>
            <if test="rbx != null and rbx != ''">
                rbx = #{rbx},
            </if>
            <if test="rby != null and rby != ''">
                rby = #{rby},
            </if>
            <if test="yjGzyid != null and yj_gzyjGzyidyid != ''">
                yj_gzyid = #{yjGzyid},
            </if>
            <if test="jd != null and jd != ''">
                jd = #{jd},
            </if>
            <if test="wd != null and wd != ''">
                wd = #{wd},
            </if>
            <if test="zb != null and zb != ''">
                zb = ST_GEOMFROMTEXT(#{zb,typeHandler=com.mosty.base.feign.handle.PointTypeHandler}),
            </if>
            <if test="zbhash != null and zbhash != ''">
                zbhash = #{zbhash},
            </if>
            <if test="yjDzxzqh != null and yjDzxzqh != ''">
                yj_dzxzqh = #{yjDzxzqh},
            </if>
            <if test="yjDz != null and yjDz != ''">
                yj_dz = #{yjDz},
            </if>
            <if test="tpId != null and tpId != ''">
                tp_id = #{tpId},
            </if>
            <if test="coverImage != null and coverImage != ''">
                cover_image = #{coverImage},
            </if>
            <if test="yjlyBqmc != null and yjlyBqmc != ''">
                yjly_bqmc = #{yjlyBqmc},
            </if>
            <if test="qszt != null and qszt != ''">
                qszt = #{qszt},
            </if>
            <if test="qssj != null and qssj != ''">
                qssj = #{qssj},
            </if>
            <if test="ddxczt != null and ddxczt != ''">
                ddxczt = #{ddxczt},
            </if>
            <if test="ddxcsj != null and ddxcsj != ''">
                ddxcsj = #{ddxcsj},
            </if>
            <if test="zlwjzt != null and zlwjzt != ''">
                zlwjzt = #{zlwjzt},
            </if>
            <if test="zlwjsj != null and zlwjsj != ''">
                zlwjsj = #{zlwjsj},
            </if>
            <if test="zlwjsm != null and zlwjsm != ''">
                zlwjsm = #{zlwjsm},
            </if>
            <if test="zlzxzt != null and zlzxzt != ''">
                zlzxzt = #{zlzxzt},
            </if>
            <if test="zlfqrId != null and zlfqrId != ''">
                zlfqr_id = #{zlfqrId},
            </if>
            <if test="zlfqr != null and zlfqr != ''">
                zlfqr = #{zlfqr},
            </if>
            <if test="zlfqrSfzh != null and zlfqrSfzh != ''">
                zlfqr_sfzh = #{zlfqrSfzh},
            </if>
            <if test="zlfqrDh != null and zlfqrDh != ''">
                zlfqr_dh = #{zlfqrDh},
            </if>
            <if test="hczt != null and hczt != ''">
                hczt = #{hczt},
            </if>
            <if test="hcid != null and hcid != ''">
                hcid = #{hcid},
            </if>
            <if test="ssbm != null and ssbm != ''">
                ssbm = #{ssbm},
            </if>
            <if test="ssbmdm != null and ssbmdm != ''">
                ssbmdm = #{ssbmdm},
            </if>
            <if test="ssbmid != null and ssbmid != ''">
                ssbmid = #{ssbmid},
            </if>
            <if test="ssxgaj != null and ssxgaj != ''">
                ssxgaj = #{ssxgaj},
            </if>
            <if test="ssxgajdm != null and ssxgajdm != ''">
                ssxgajdm = #{ssxgajdm},
            </if>
            <if test="ssxgajid != null and ssxgajid != ''">
                ssxgajid = #{ssxgajid},
            </if>
            <if test="sssgajdm != null and sssgajdm != ''">
                sssgajdm = #{sssgajdm},
            </if>
            <if test="sssgajid != null and sssgajid != ''">
                sssgajid = #{sssgajid},
            </if>
            <if test="xtSjly != null and xtSjly != ''">
                xt_sjly = #{xtSjly},
            </if>
            <if test="xtSjzt != null and xtSjzt != ''">
                xt_sjzt = #{xtSjzt},
            </if>
            <if test="xtScbz != null and xtScbz != ''">
                xt_scbz = #{xtScbz},
            </if>
            <if test="xtCjip != null and xtCjip != ''">
                xt_cjip = #{xtCjip},
            </if>
            <if test="xtCjsj != null">
                xt_cjsj = #{xtCjsj},
            </if>
            <if test="xtCjrId != null and xtCjrId != ''">
                xt_cjr_id = #{xtCjrId},
            </if>
            <if test="xtCjr != null and xtCjr != ''">
                xt_cjr = #{xtCjr},
            </if>
            <if test="xtCjbmdm != null and xtCjbmdm != ''">
                xt_cjbmdm = #{xtCjbmdm},
            </if>
            <if test="xtCjbmmc != null and xtCjbmmc != ''">
                xt_cjbmmc = #{xtCjbmmc},
            </if>
            <if test="xtZhgxip != null and xtZhgxip != ''">
                xt_zhgxip = #{xtZhgxip},
            </if>
            <if test="xtZhgxsj != null">
                xt_zhgxsj = #{xtZhgxsj},
            </if>
            <if test="xtZhgxrid != null and xtZhgxrid != ''">
                xt_zhgxrid = #{xtZhgxrid},
            </if>
            <if test="xtZhgxr != null and xtZhgxr != ''">
                xt_zhgxr = #{xtZhgxr},
            </if>
            <if test="xtZhgxbmdm != null and xtZhgxbmdm != ''">
                xt_zhgxbmdm = #{xtZhgxbmdm},
            </if>
            <if test="xtZhgxbm != null and xtZhgxbm != ''">
                xt_zhgxbm = #{xtZhgxbm},
            </if>
            <if test="bz != null and bz != ''">
                bz = #{bz}
            </if>
        </set>
        where id = #{id}
    </update>
</mapper>
